colors_espanol 1.0.0+6

  • Readme
  • Changelog
  • Example
  • Installing
  • new54

colors_espanol #

This package translates Colors and its methods to Spanish. ex: Colors.red = Colores.rojo ALL colors have been translated.

Este paquete traduce Colors y sus metodos a español. ej: Colors.red = Colores.rojo.

Author/Autor: josephvisaac@gmail.com

Specific Example/Ejemplo Especifico: #

color: Colores.rojo,

Chart #

English | Español

Colors.| Colores.

red | rojo

pink | rosado

purple | morado

deepPurple | moradoProfundo

indigo | indigo

blue | azul |

lightBlue, | claroAzul

cyan | cian

teal | verdeAzulado

green, | verde

lightGreen | claroVerde

lime | lima

yellow | amarillo

amber | ambar

orange | naranja

deepOrange| naranjaProfundo

brown | marron

black | negro

grey | gris

transparent | transparente

redAccent | rojoAcento

pinkAccent | rosadoAcento

purpleAccent| moradoAcento

deepPurpleAccent | moradoProfundoAcento

indigoAccent | indigoAcento

blueAccent | azulAcento

lightBlueAccent| claroAzulAcento

cyanAccent | cianAcento

tealAccent | verdeAzuladoAcento

greenAccent | verdeAcento

lightGreenAccent | claroVerdeAcento

limeAccent | limaAcento

yellowAccent | amarilloAcento

amberAccent | ambarAcento

orangeAccent | naranjaAcento

deepOrangeAccent | naranjaProfundoAcento

Ejemplo de Codigo/ Code Example #

import 'package:colors_espanol/colores.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      // color: Colores.amarillo,
      theme: ThemeData(
        primaryColor: Colores.amarillo, //yellow
      ),
      home: Scaffold(
        appBar: AppBar(
          centerTitle: true,
          title: Text('Amarillo'),
        ),
        body: Center(
     
          // color: Colors.,
          child: Container(
          padding: EdgeInsets.only(top:40),
          height: 100,
          width: 100,
            // color: Colores.lima,
            // color: Colores.azulAcento,
            // color: Colores.amarillo,
            // color: Colores.negro,
            // color: Colores.gris,
            color: Colores.rojo,
          ),
           
        ),
      ),
    );
  }
}

Foto del Ejemplo/Example Pic #

Image of Code

note/nota #

Enjoy! !Disfruten!
josephvisaac@gmail.com

[1.0.0+1] - 28 June, 2020 #

  • Package recently created, Colors and all methods translated to Spanish. Standard required writing to evade a Flutter warning.

[1.0.0+2] - 28 June, 2020 #

  • Package update shortening description to evade a warning.

[1.0.0+3] - 28 June, 2020 #

  • Package editing chart error on flutter page, but not github for some reason.

[1.0.0+4] - 28 June, 2020 #

  • Package editing chart error on flutter page, but not github for some reason. Fixed

[1.0.0+5] - 28 June, 2020 #

  • Package editing chart edited again, and formatted lib/main.dart

[1.0.0+6] - 28 June, 2020 #

  • took out main.dart, see what happens

example/example.dart

import 'package:colors_espanol/colores.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: 50,
      width: 350,
      // color: Colors.yellowAccent,
      color: Colores.amarillo,
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  colors_espanol: ^1.0.0+6

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:colors_espanol/colores.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
9
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
54
Learn more about scoring.

We analyzed this package on Jul 3, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.8.4
  • pana: 0.13.13
  • Flutter: 1.17.5

Analysis suggestions

Package not compatible with SDK dart

because of import path [colors_espanol] that is in a package requiring null.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.7.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.12 1.14.13
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6 1.2.0
vector_math 2.0.8
Dev dependencies
flutter_test